# site-header

<!-- Auto Generated Below -->

## Properties

| Property               | Attribute                 | Description | Type     | Default     |
| ---------------------- | ------------------------- | ----------- | -------- | ----------- |
| `dataMenuDonate`       | `data-menu-donate`        |             | `string` | `undefined` |
| `dataMenuLanguage`     | `data-menu-language`      |             | `string` | `undefined` |
| `dataSiteHeaderLabels` | `data-site-header-labels` |             | `string` | `undefined` |
| `logoLabel`            | `logo-label`              |             | `string` | `undefined` |
| `logoUrl`              | `logo-url`                |             | `string` | `undefined` |
| `menuType`             | `menu-type`               |             | `string` | `undefined` |

## Dependencies

### Depends on

- [hy-site-logo](site-logo)
- [hy-site-search](site-search)
- [hy-icon](../icon)
- [hy-menu-language](../navigation/menu-language)

### Graph

```mermaid
graph TD;
  hy-site-header --> hy-site-logo
  hy-site-header --> hy-site-search
  hy-site-header --> hy-icon
  hy-site-header --> hy-menu-language
  hy-site-logo --> hy-icon
  hy-site-search --> hy-icon
  hy-menu-language --> hy-menu-language-item
  hy-menu-language --> hy-icon
  style hy-site-header fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
